import sys
from synth import *

base_mod = 1.0

bimod = .12
err = False

if len(sys.argv) > 1:
    try:
        base_mod = float(sys.argv[1])
    except:
        err = True
if len(sys.argv) > 2:
    try:
        bimod = float(sys.argv[2])
    except:
        err = True
if len(sys.argv) > 3 or err:
    print("Usage : %s [freq_mul] [stereo_diff]" % sys.argv[0])
    exit(1)

bm = base_mod

while True:

    wv0 = sinwave(0.001 * bm)
    wv1 = sinwave(0.1*bm)
    wv2 = sinwave(0.011*bm)
    lfo0 = sinwave(0.01*bm)
    lfo1 = sinwave(0.02*bm)
    wv2 = vol_lfo(wv2, lfo0)
    mix = mixer(wv0, wv1, wv2)
    r = vol_lfo(mix, lfo1)

    bm += bimod

    wv0 = sinwave(0.001 * bm)
    wv1 = sinwave(0.1*bm)
    wv2 = sinwave(0.011*bm)
    lfo0 = sinwave(0.01*bm)
    lfo1 = sinwave(0.02*bm)
    wv2 = vol_lfo(wv2, lfo0)
    mix = mixer(wv0, wv1, wv2)
    r2 = vol_lfo(mix, lfo1)

    samples = output_sampler(r, r2)
    while True:
        sys.stdout.buffer.write(next(samples))

